<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        .contenedor {
            width: 100%;
            height: 90vh;
            display: grid;
            grid-template-columns: repeat (13, 1fr);
            grid-template-rows: 2fr 2fr 4fr 2fr 2fr 1fr;
            grid-template-areas:
                "header header header header header header header header header header header header header"
                "aside aside aside rosa rosa rosa rosa rosa rosa rosa rosa rosa rosa"
                "aside aside aside naranja naranja naranja naranja naranja naranja1 naranja1 naranja1 naranja1 naranja1"
                "aside aside aside marino1 marino1 marino2 marino2 marino3 marino3 marino4 marino4 marino5 marino5"
                "aside aside aside marino6 marino6 marino7 marino7 marino8 marino8 marino9 marino9 marino10 marino10"
                "footer footer footer footer footer footer footer footer footer footer footer footer footer";
            gap: 10px;
        }

        .contenedor>div {
            display: flex;
            justify-content: center;
            align-items: center;
            border: 3px solid black;
        }

        .header {
            background-color: greenyellow;
            grid-area: header;
        }

        .aside {
            background-color: red;
            grid-area: aside;
        }

        .rosa {
            background-color: #ff00ff;
            grid-area: rosa;
        }

        .naranja {
            background-color: orange;
            grid-area: naranja;
        }

        .naranja1 {
            grid-area: naranja1;
        }

        .marino {
            background-color: blue;
            color: white;
            grid-area: marino1;
        }

        .marino2 {
            grid-area: marino2;
        }

        .marino3 {
            grid-area: marino3;
        }

        .marino4 {
            grid-area: marino4;
        }

        .marino5 {
            grid-area: marino5;
        }

        .marino6 {
            grid-area: marino6;
        }

        .marino7 {
            grid-area: marino7;
        }

        .marino8 {
            grid-area: marino8;
        }

        .marino9 {
            grid-area: marino9;
        }

        .marino10 {
            grid-area: marino10;
        }

        .footer {
            background-color: greenyellow;
            grid-area: footer;
        }
    </style>
</head>

<body>
    <div class="contenedor">
        <div class="header">Header</div>
        <div class="aside">Aside</div>
        <div class="rosa">Rosa</div>
        <div class="naranja">Naranja</div>
        <div class="naranja naranja1">Naranja</div>
        <div class="marino">Marino 1</div>
        <div class="marino marino2">Marino 2</div>
        <div class="marino marino3">Marino 3</div>
        <div class="marino marino4">Marino 4</div>
        <div class="marino marino5">Marino 5</div>
        <div class="marino marino6">Marino 6</div>
        <div class="marino marino7">Marino 7</div>
        <div class="marino marino8">Marino 8</div>
        <div class="marino marino9">Marino 9</div>
        <div class="marino marino10">Marino 10</div>
        <div class="footer">Footer</div>
    </div>
</body>

</html>